Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.format
Class ShowRootedEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.format.GlobalFormatsEdit
              info.bioinfweb.treegraph.document.undo.format.ShowRootedEdit

All Implemented Interfaces:
  UndoableEdit

    public class ShowRootedEdit

extends GlobalFormatsEdit

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.undo.format.GlobalFormatsEdit
`newFormats, oldFormats`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`private` | `ShowRootedEdit(Document document, GlobalFormats newFormats)`

Method Summary
`static ShowRootedEdit` | `createInstance(Document document, boolean showRooted)`
`String` | `getPresentationName()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.format.GlobalFormatsEdit
`redo, undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowRootedEdit

    private ShowRootedEdit(Document document,
                           GlobalFormats newFormats)

Method Detail

### createInstance

    public static ShowRootedEdit createInstance(Document document,
                                                boolean showRooted)

### getPresentationName

    public String getPresentationName()

  Specified by:
    `getPresentationName` in interface `UndoableEdit`
  Overrides:
    `getPresentationName` in class `GlobalFormatsEdit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD